<template>
    <div class="sideMenu " 
        :class="{
            'open': isSideMenuOpen
        }"
        @click="sideMenuOpenChange">
        <div v-if="!isSideMenuOpen" class="btnMenu row">M E N U</div>
        <div v-if="isSideMenuOpen" class="coinsMonitir menu-item "><a href="/">Coins Monior</a></div>
        <div v-if="isSideMenuOpen" class="criptoConverter menu-item "><a href="/converter">Cripto Converter</a></div>
        <div v-if="isSideMenuOpen" class="news menu-item "><a href="/news">News</a></div>
    </div>
 </template>
 
 <script>
   import {mapGetters, mapMutations} from 'vuex'
   export default {
   
      data() {
         return { }
      }, 
      methods: mapMutations(['sideMenuOpenChange']),
      computed: mapGetters(['isSideMenuOpen']),
      mounted() { },
   }
 </script>

 
 <style scoped>
 .sideMenu {
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: center;
    position: fixed;
    right: 0;
    height: 100%;
    width: 40px;
    background-color: grey;
    padding: 0 10px;
    align-items: center;
    transition: width 0.5s ease-out;
 }
 .btnMenu {
    width: 40px;
    height: auto;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    padding: 0px 10px;
    font-size: 24px;
 }
 .sideMenu.open {
    width: 200px;
 }
.menu-item {
    align-self: start;
    border-bottom: solid 1px;
    padding: 10px 10px;
    width: 100%;
    text-align: left;
    font-size: 24px;
}
.menu-item:hover {
        background-color: rgba(90, 90, 90, 1);
        box-shadow: inset 1px 1px 5px rgb(187, 187, 187);
        color: white
}
.menu-item a {
   text-decoration: none;
   color: rgb(77, 77, 77);
}   
.menu-item:hover a {
   color: white
}
 </style>